Package org.eclipse.birt.chart.model.attribute

# Enum MenuStylesKeyType

java.lang.Object
java.lang.Enum<MenuStylesKeyType>
org.eclipse.birt.chart.model.attribute.MenuStylesKeyType

All Implemented Interfaces:
  `Serializable`, `Comparable<MenuStylesKeyType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum MenuStylesKeyType extends Enum<MenuStylesKeyType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Menu Styles Key Type', and utility methods for working with them.

See Also:
  - `AttributePackage.getMenuStylesKeyType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MENU`
The 'Menu' literal object.
`MENU_ITEM`
The 'Menu Item' literal object.
`ON_MOUSE_OUT`
The 'On Mouse Out' literal object.
`ON_MOUSE_OVER`
The 'On Mouse Over' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MENU_ITEM_VALUE`
The 'Menu Item' literal value.
`static final int`
`MENU_VALUE`
The 'Menu' literal value.
`static final int`
`ON_MOUSE_OUT_VALUE`
The 'On Mouse Out' literal value.
`static final int`
`ON_MOUSE_OVER_VALUE`
The 'On Mouse Over' literal value.
`static final List<MenuStylesKeyType>`
`VALUES`
A public read-only list of all the 'Menu Styles Key Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static MenuStylesKeyType`
`get(int value)`
Returns the 'Menu Styles Key Type' literal with the specified integer value.
`static MenuStylesKeyType`
`get(String literal)`
Returns the 'Menu Styles Key Type' literal with the specified literal value.
`static MenuStylesKeyType`
`getByName(String name)`
Returns the 'Menu Styles Key Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static MenuStylesKeyType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MenuStylesKeyType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MENU

public static final MenuStylesKeyType MENU
The 'Menu' literal object.

See Also:
  - `MENU_VALUE`

### MENU_ITEM

public static final MenuStylesKeyType MENU_ITEM
The 'Menu Item' literal object.

See Also:
  - `MENU_ITEM_VALUE`

### ON_MOUSE_OVER

public static final MenuStylesKeyType ON_MOUSE_OVER
The 'On Mouse Over' literal object.

See Also:
  - `ON_MOUSE_OVER_VALUE`

### ON_MOUSE_OUT

public static final MenuStylesKeyType ON_MOUSE_OUT
The 'On Mouse Out' literal object.

See Also:
  - `ON_MOUSE_OUT_VALUE`

## Field Details

### MENU_VALUE

public static final int MENU_VALUE
The 'Menu' literal value.

If the meaning of 'Menu' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MENU`
  - Constant Field Values

### MENU_ITEM_VALUE

public static final int MENU_ITEM_VALUE
The 'Menu Item' literal value.

If the meaning of 'Menu Item' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MENU_ITEM`
  - Constant Field Values

### ON_MOUSE_OVER_VALUE

public static final int ON_MOUSE_OVER_VALUE
The 'On Mouse Over' literal value.

If the meaning of 'On Mouse Over' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ON_MOUSE_OVER`
  - Constant Field Values

### ON_MOUSE_OUT_VALUE

public static final int ON_MOUSE_OUT_VALUE
The 'On Mouse Out' literal value.

If the meaning of 'On Mouse Out' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ON_MOUSE_OUT`
  - Constant Field Values

### VALUES

public static final List<MenuStylesKeyType> VALUES
A public read-only list of all the 'Menu Styles Key Type' enumerators.

## Method Details

### values

public static MenuStylesKeyType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MenuStylesKeyType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static MenuStylesKeyType get(String literal)
Returns the 'Menu Styles Key Type' literal with the specified literal value.

### getByName

public static MenuStylesKeyType getByName(String name)
Returns the 'Menu Styles Key Type' literal with the specified name.

### get

public static MenuStylesKeyType get(int value)
Returns the 'Menu Styles Key Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<MenuStylesKeyType>`